Bug 194240 - frame on new display causes loss of function
frame on new display causes loss of function
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 11:21 EDT by David Woodhouse
Modified: 2008-05-06 11:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-06-06 11:21:50 EDT
After opening a frame on a new display in order to collaborate on a file which
was being edited, I no longer had control of my own frame. Keyboard entry is
ignored, I can get at the GTK menus although they seem to do nothing useful.
Clicking the 'close' button in the window manager doesn't even work.

Not even scrolling up and down in the file works -- although thankfully resizing
the window does work, so at least I can _see_ the text he's added to my file :)

When I click on a GTK menu and my opponent uses cursor keys, both he and I get
confused as his cursor key movement moves around the menus on my screen which he
can't see.

Multi-player emacs used to be _much_ more useful than this.
Comment 1 Chip Coldwell 2006-06-08 09:40:12 EDT
(In reply to comment #0)
> After opening a frame on a new display in order to collaborate on a file which
> was being edited, I no longer had control of my own frame. Keyboard entry is
> ignored, I can get at the GTK menus although they seem to do nothing useful.
> Clicking the 'close' button in the window manager doesn't even work.

Were you both running FC5?

I'll try to reproduce as soon as I get my FC5 laptop back from IBM warranty
repairs.

Chip
Comment 2 David Woodhouse 2006-06-08 09:46:12 EDT
Yeah. The machine on which emacs was running was FC5/i386; the remote X server
was FC6/x86_64.
Comment 3 Chip Coldwell 2006-06-08 09:58:02 EDT
(In reply to comment #2)
> Yeah. The machine on which emacs was running was FC5/i386; the remote X server
> was FC6/x86_64.

Have you tried it with the remote display on RHEL4 or FC5?

Chip
Comment 4 David Woodhouse 2006-06-08 10:10:37 EDT
Sorry, that was a typo. The remote display was FC5.
Comment 5 Chip Coldwell 2006-08-02 15:51:34 EDT
(In reply to comment #4)
> Sorry, that was a typo. The remote display was FC5.

With an FC5 emacs (21.4-15) and a RHEL-4 display, everything works fine.  I'll
try swapping roles.

Chip
Comment 6 Chip Coldwell 2006-08-02 16:08:37 EDT
RHEL-4 emacs on FC-5 display also works.  Now I need to scrounge up another FC-5
box try FC-5 emacs on FC-5 display.

Chip
Comment 7 Bug Zapper 2008-04-03 23:03:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 11:59:15 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.